<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/wwdt.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">wwdt.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d90/wwdt_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">   51</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a>(uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>{</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8191172d5a07f323cfcb4bebf36801d6">WWDT</a>-&gt;IER = u32EnableInt;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8191172d5a07f323cfcb4bebf36801d6">WWDT</a>-&gt;CR = u32PreScale | (u32CmpValue &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab94ff1f35edd2a8dd17e660931b8e356">WWDT_CR_WINCMP_Pos</a>) | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a55c126737016727ea097f259cb83510d">WWDT_CR_WWDTEN_Msk</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>}</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> <span class="comment">/* end of group NANO1X2_WDT_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> <span class="comment">/* end of group NANO1X2_WDT_Driver */</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a55c126737016727ea097f259cb83510d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a55c126737016727ea097f259cb83510d">WWDT_CR_WWDTEN_Msk</a></div><div class="ttdeci">#define WWDT_CR_WWDTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10536">Nano1X2Series.h:10536</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab94ff1f35edd2a8dd17e660931b8e356"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab94ff1f35edd2a8dd17e660931b8e356">WWDT_CR_WINCMP_Pos</a></div><div class="ttdeci">#define WWDT_CR_WINCMP_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10541">Nano1X2Series.h:10541</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga8191172d5a07f323cfcb4bebf36801d6"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8191172d5a07f323cfcb4bebf36801d6">WWDT</a></div><div class="ttdeci">#define WWDT</div><div class="ttdoc">Pointer to WWDT register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10631">Nano1X2Series.h:10631</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga918cf310aef9fe0717efb224d2a34ae9"><div class="ttname"><a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a></div><div class="ttdeci">void WWDT_Open(uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt)</div><div class="ttdoc">This function make WWDT module start counting with different counter period and compared window value...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d90/wwdt_8c_source.html#l00051">wwdt.c:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
